%define		ocaml_ver	1:3.10.0
Summary:	OCaml bindings for the libssl
Summary(pl.UTF-8):	Wiązania OpenSSL do OCamla
Name:		ocaml-ssl
Version:	0.5.2
Release:	2
License:	LGPL + OCaml linking exception
Group:		Libraries
Source0:	http://downloads.sourceforge.net/savonet/%{name}-%{version}.tar.gz
# Source0-md5:	404f71d33885c985a8ff579996a5cda8
Patch0:		0001-Stalkd-example.patch
Patch1:		0002-Remove-duplicate-declaration-of-write.patch
Patch2:		0003-Bump-version-number.patch
Patch3:		0004-Remove-ansi-flag.patch
Patch4:		0005-Use-accessor-functions-for-X509_STORE_CTX.patch
Patch5:		0006-Change-CLIBS-order-to-allow-static-linking.patch
URL:		http://savonet.sourceforge.net/
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib
BuildRequires:	openssl-devel
BuildRequires:	which
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OCaml bindings for the libssl.

%description -l pl.UTF-8
Wiązania OpenSSL do OCamla.

%package devel
Summary:	OCaml bindings for the libssl
Summary(pl.UTF-8):	Wiązania OpenSSL do OCamla
Group:		Development/Libraries
%requires_eq	ocaml

%description devel
OCaml bindings for the libssl.

%description devel -l pl.UTF-8
Wiązania OpenSSL do OCamla.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{ssl,stublibs}

install src/*.cm[ixa]* src/*.a $RPM_BUILD_ROOT%{_libdir}/ocaml/ssl
install src/*.so $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# META for findlib
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ssl
install src/META $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ssl
echo 'directory = "+ssl"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/ssl/META

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README.md
%dir %{_libdir}/ocaml/ssl
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc doc/html src/*.mli
%{_libdir}/ocaml/ssl/*.cm[ixa]*
%{_libdir}/ocaml/ssl/*.a
%{_libdir}/ocaml/site-lib/ssl
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Sep 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-ssl.git;a=log;h=master

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 156ca7e
- release 2 (by relup.sh)

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> af93ca5
- added upstream patches, fixes compatibility with ocaml 4.04

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 70cb301
- up to 0.5.2

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> e884173
- rebuild with ocaml 4.04.1
- release 6 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> 3bd1046
- release 5 (by relup.sh)

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> 9686cf7
- openssl 1.0.2g rebuild
- release 4 (by relup.sh)

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 8f08cba
- release 3 (by relup.sh)

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> ef1a1fe
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 7be7683
- 0.4.5

* Fri May 14 2010 sparky <sparky@pld-linux.org> d386e6c
- BR: which

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a048005
- release 3

* Sat Apr 18 2009 areq <areq@pld-linux.org> aa4d978
- make -j1

* Sat Apr 18 2009 areq <areq@pld-linux.org> 64ba5ad
- 0.4.3

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 4a8e964
- release 3

* Sun Mar 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 7842d33
- pl descs

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 40314a5
- rel 2

* Wed Dec 12 2007 Jan Rękorajski <baggins@pld-linux.org> f8fc31b
- rel 1

* Wed Dec 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5e847df
- initial revision

